program Demo_File;
uses Dos,Crt;
var
  f           :text;
  FileName    :string[9];
  st          :string;
  ch          :char;
  vibor       :byte;

procedure Head; {procedura dlja zaprosa imeni fajla i opredelenija fajla}
begin
  Writeln('Esli vy otkazyvaetes ot dejstvija,to naberite v nazvanii fajla simvol"~"');
  Write('Vvedite imja fajla:>');
  Readln(FileName);
  if FileName='~' then halt(1)
    else Assign(f,FileName);
end;

procedure TextEdit; {Tekstovyj redaktor - zdes' idjot zapis' teksta v fajl}
begin
  Writeln('Sejchas vy smozhete dobavljat informaciju v fajl.');
  Writeln('Esli vy zahotite prekratit vvod, to naberite sledujuwuju posledovatelnost:"~~"');
  repeat
    Write('>');Readln(st);
    if st<>'~~' then Writeln(f,st);
  until st='~~';
end;

procedure WriteToFile; {procedura dlja zapisi v fajl}
begin
  Head;
  ReWrite(f);
  TextEdit;
  Close(f);
  Writeln('Vy okonchili vvodit iformaciju v fajl. Nazhmite ljubuju knopku...');
  ReadKey;
end;

procedure ReadFromFile; {procedura dlja schityvanija iz fajla}
begin
  Head;
  {$I-} {otkljuchaem proverku vvoda/vyvoda dlja togo, chto by programma ne
    preryvalas' pri nepravil'nom vvedenii imeni fajla}
  Reset(f);
  {$I+} {vkljuchaem proverku vvoda/vyvoda}
  if IOresult<>0 then begin {esli vvedjon nesuwestvujuee imja fajla, to soobwaem
                             ob oshibke}
    Writeln('Fajla ',FExpand(filename),' nesuwestvuet.');
    Writeln('Hotite vvesti drugoe imja fajla?(Y/N).');
    ch:=ReadKey;
    if (ch='Y') or (ch='y') then ReadFromFile;
  end
  else begin
    Writeln('Soderzhimoe fajla:');Writeln;
    while not eof(f) do begin
      Readln(f,st);
      Writeln('>',st);
    end;
    Close(f);
    Writeln;
    Writeln('Nazhmite ljubuju klavishu');
    ReadKey;
  end;
end;

procedure AddToFile; {procedura dlja dobavlenija informacii v fajl}
begin
  Head;
  {$I-} {otkljuchaem proverku vvoda/vyvoda dlja togo, chto by programma ne
    preryvalas' pri nepravil'nom vvedenii imeni fajla}
  Append(f);
  {$I+} {vkljuchaem proverku vvoda/vyvoda}
  if IOresult<>0 then begin {esli vvedjon nesuwestvujuee imja fajla, to soobwaem
                             ob oshibke}
    Writeln('Fajla ',FExpand(filename),' nesuwestvuet.');
    Writeln('Hotite vvesti drugoe imja fajla?(Y/N).');
    ch:=ReadKey;
    if (ch='Y') or (ch='y') then AddToFile;
  end
  else begin
    TextEdit;
    Close(f);
    Writeln('Vy okonchili vvodit iformaciju v fajl. Nazhmite ljubuju knopku...');
    ReadKey;
  end;
end;

procedure DelFile; {procedura dlja udalenija fajla}
begin
  Head;
  {$I-} {otkljuchaem proverku vvoda/vyvoda dlja togo, chto by programma ne
  preryvalas' pri nepravil'nom vvedenii imeni fajla}
  Reset(f);
  {$I+} {vkljuchaem proverku vvoda/vyvoda}
  if IOresult<>0 then begin {esli vvedjon nesuwestvujuee imja fajla, to soobwaem
                           ob oshibke}
    Writeln('Fajla ',FExpand(filename),' nesuwestvuet.');
    Writeln('Hotite vvesti drugoe imja fajla?(Y/N).');
    ch:=ReadKey;
    if (ch='Y') or (ch='y') then DelFile;
  end
  else begin
    Writeln('Vy uvereny, chto hotite udalit etot fajl?(Y/N)');
    ch:=ReadKey;
    if (ch='Y') or (ch='y') then Erase(f);
    Writeln('Vy tolko chto udalili fajl. Nazhmite na ljubuju klavishu..');
    Readkey;
  end;
end;

procedure Menu; {procedura vyvoda menju}
begin
 repeat
  repeat
    ClrScr;
    Writeln('1. Zapis v fajl / sozdanie fajla');
    Writeln('2. Chtenie iz fajla');
    Writeln('3. Dobavlenie informacii v fajl');
    Writeln('4. Udalenie fajla');
    Writeln('5. Vyhod');
    Write('Vash vybor:>');Readln(vibor);
  until (vibor>0) and (vibor<6);
  Writeln;
  Write('Vy vybrali : ');
  case vibor of
    1:begin
        Writeln(' Zapis v fajl / sozdanie fajla');
        WriteToFile;
      end;
    2:begin
        Writeln('Chtenie iz fajla');
        ReadFromFile;
      end;
    3:begin
        Writeln('Dobavlenie informacii v fajl');
        AddToFile;
      end;
    4:begin
        Writeln('Udalenie fajla');
        DelFile;
      end;
  end;
 until vibor=5;
end;
begin
  Menu;
end.
